
Redmine - Patch #36905

German translation update for 5.0-stable

2022-04-07 17:18 - Alexander Meindl

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 5.0.1   

Description

Attached you may find latest updates to German localization.

Thanks for considering my patch!

The translation for label_bulk_edit with "Massenbearbeitung" is maybe not the best solution. Maybe some other German users have

better proposals for that.

Related issues:

Related to Redmine - Defect #37072: button_save_object should not downcase la... New

Associated revisions

Revision 21560 - 2022-05-05 07:46 - Go MAEDA

German translation update (#36905).

Patch by Alexander Meindl.

Revision 21561 - 2022-05-05 07:47 - Go MAEDA

Merged r21560 from trunk to 5.0-stable (#36905).

History

#1 - 2022-04-09 21:14 - Bernhard Rohloff

- Target version set to 5.0.1

The translation looks really good, overall. How about "Auswahl bearbeiten" for the bulk edit label? What do you think Alexander? I think it describes

the option very well, doesn't it?

#2 - 2022-04-10 06:37 - Alexander Meindl

- File german_language_update_for_redmine5_version2.patch added

- File long_button_names.png added

Hi Bernhard,

great proposal für ""Auswahl bearbeiten", I really like it. I updated my patch with your translation.

I found another problem. Buttons now uses button_save_object, button_edit_object and button_delete_object with an object name. For German

translation the object name "Benutzerdefinierte Abfrage" is very long and does not look nice, if you enabled more Totals on query pages. See my

screenshot.

I never liked the translation "Benutzerdefinierte Abfrage". In English it is just "Query" and not "User defined query". We should use "Abfrage" for

German, too.

#3 - 2022-04-10 07:03 - Alexander Meindl

- File remove_downcase_for_button_object_name.diff added

Another problem for German was introduced with #34494. For button_save_object, button_edit_object and button_delete_object downcase is used

with object_name. In German this means e.g. "ticket speichern" or "abfrage speichern", which is wrong. In German we need "Ticket speichern" or

"Abfrage speichern".

One solution for this is to remove downcase (see my patch). I see no problem for English usage of "Save Issue" (at least less problematic as for

German). Another solution would be to use own translations for lower case usage.
#4 - 2022-04-11 06:22 - Bernhard Rohloff

Yes Alexander, you are right. I don't like the "Benutzerdefinierte Abfrage", too. It sounds quite awkward in German. A simple "Abfrage" would be

enough. Let's take some more native dwarfs into the discussion to get some feedback.

#5 - 2022-04-12 19:50 - Thomas Löber

In the English locale file label_query is "Custom query", which is roughly "Benutzerdefinierte Abfrage".

However, I would also prefer a simple "Abfrage" (or "Abfragen" in the plural).

Especially because the query may not have been defined by the user ("Benutzer") at all.

#6 - 2022-04-13 07:31 - Alexander Meindl

Thomas Löber wrote:

In the English locale file label_query is "Custom query", which is roughly "Benutzerdefinierte Abfrage".

 Hi Thomas,

indeed, you are right. Nevertheless I would say "Abfrage" is a better translation in our context, too.

#7 - 2022-04-13 08:14 - C S

What*s about "Stapelbearbeitung" for the label_bulk_edit ?

#8 - 2022-04-13 09:55 - Thomas Löber

- File label_bulk_edit.png added

How about "Alle bearbeiten"? That also fits the headline of the bulk edit view, which is "Alle ausgewählten Tickets bearbeiten".

 label_bulk_edit.png 

Edit: Thinking about it again, I also like Bernhard's proposal "Auswahl bearbeiten" because it stresses that only the selected tickets will be edited.

#9 - 2022-05-01 12:02 - Alexander Meindl

I hope, this patch get`s in 5.0.1. Does anyone has any concerns about the translation?

Maybe #36905#note-3 should be reviewed by a redmine.org team member.

#10 - 2022-05-03 06:09 - Bernhard Rohloff

Alexander Meindl wrote:

I hope, this patch get`s in 5.0.1. Does anyone has any concerns about the translation?

Maybe #36905#note-3 should be reviewed by a redmine.org team member.

 I've put Go MAEDA on the watchers list to let him know about this problem.

I cannot say, if the patch causes problems in other languages.

#11 - 2022-05-03 06:47 - Alexander Meindl

Hi Bernhard,

thanks for you feedback. I would say, that the change with #34494 causes problems with non-English languages. I would say the possibility is high,

that other languages also have problems (grammatically) with changing the first letter from "Issue" to lower case.

#12 - 2022-05-04 09:37 - Go MAEDA

Alexander Meindl wrote:

I hope, this patch get`s in 5.0.1. Does anyone has any concerns about the translation?

Maybe #36905#note-3 should be reviewed by a redmine.org team member.

 I think #36905#note-3 is not a pure translation patch and should be discussed in another issue. Could you open a new issue? I would like to commit 

german_language_update_for_redmine5_version2.patch and close this issue.

#13 - 2022-05-04 10:52 - Alexander Meindl
Hi Go MAEDA,

you are right. I created a new issue for that problem: #37072

#14 - 2022-05-05 07:48 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed german_language_update_for_redmine5_version2.patch. Thank you for your contribution.

#15 - 2022-05-05 07:48 - Go MAEDA

- Related to Defect #37072: button_save_object should not downcase label_query added

#16 - 2022-08-26 14:27 - der gl0wn

When will this be released in a final version?

#17 - 2022-08-27 07:59 - Go MAEDA

der gl0wn wrote:

When will this be released in a final version?

 This change was already delivered in Redmine 5.0.1 that was released on 2022-05-16.
